package view.panels.tabs;

import com.sun.istack.internal.Nullable;
import view.panels.PlotPanel;

import javax.swing.*;
import javax.swing.border.TitledBorder;
import java.awt.*;

/**
 * Implementierung verschiedener Algorithmen zur Berechnung von Ausgleichsgeraden.
 *
 * @Author: Armin Wolf
 * @Email: a_wolf28@uni-muenster.de
 * @Date: 26.06.2017.
 */
public class TSPanel extends TabPanel {


    private JPanel continer;
    private GridBagConstraints gbc;

    public TSPanel() {
        super();

        this.continer = new JPanel();
        this.continer.setLayout(new GridBagLayout());

        this.gbc = new GridBagConstraints();
        this.gbc.anchor = GridBagConstraints.NORTH;
        this.gbc.fill = GridBagConstraints.HORIZONTAL;

        JPanel buttonPanel = new JPanel();
        buttonPanel.setLayout(new FlowLayout(FlowLayout.LEFT));

        gbc.insets = new Insets(10, 0, 10, 0);
        gbc.gridx = 0;
        gbc.gridy = 0;
        gbc.weightx = 0.05;
        gbc.weighty = 0.05;
        buttonPanel.add(getStartButton());
        continer.add(buttonPanel, gbc);

        getNorthPanel().add(continer, BorderLayout.CENTER);
        this.add(getNorthPanel(), BorderLayout.NORTH);
    }
}
